=== debian/control ===
Source: ros-indigo-ndt-visualisation
Section: misc
Priority: extra
Maintainer: Jari Saarinen <jari.p.saarinen@gmail.com>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libpcl-1.7-all-dev, libxi-dev, libxmu-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-ndt-map, ros-indigo-pcl-ros
Homepage: http://ros.org/wiki/ndt_visualization
Standards-Version: 3.9.2

Package: ros-indigo-ndt-visualisation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libpcl-1.7-all-dev, ros-indigo-message-runtime, ros-indigo-ndt-map, ros-indigo-pcl-ros
Description: Contains classes for creating an ndt visualization window. Initial implementation on top of mrpt.
